summaryrefslogtreecommitdiff
path: root/distro/pkg/deb/prepare-environment
diff options
context:
space:
mode:
authorJakub Ružička <jakub.ruzicka@nic.cz>2021-04-06 18:13:16 +0200
committerOndrej Zajicek (work) <santiago@crfreenet.org>2021-05-19 17:22:11 +0200
commit329d6e3fbc5a09a9bc8800bd8a5d239dec1a3d24 (patch)
tree29bf25fc20a609c0d81469fc2e4e528b99d4f5bb /distro/pkg/deb/prepare-environment
parentc3c691e95cd40d8654b720be8d9a8ae9fb050951 (diff)
add apkg-powered upstream packaging for deb, rpm
Files in a single new distro/ dir allow apkg to build BIRD packages for various distros directly from upstream sources as well as from upstream archives. Please see distro/README.md for more detail as well as apkg docs: https://apkg.rtfd.io I've used these files to build bird-2.0.8 on all currently supported releases of following distros: * Debian * Ubuntu * Fedora * CentOS * openSUSE Please note that latest apkg with accumulated fixes for bird is needed: https://gitlab.nic.cz/packaging/apkg/-/merge_requests/35
Diffstat (limited to 'distro/pkg/deb/prepare-environment')
-rwxr-xr-xdistro/pkg/deb/prepare-environment28
1 files changed, 28 insertions, 0 deletions
diff --git a/distro/pkg/deb/prepare-environment b/distro/pkg/deb/prepare-environment
new file mode 100755
index 00000000..d782c140
--- /dev/null
+++ b/distro/pkg/deb/prepare-environment
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -eu
+
+BIRD_RUN_DIR=/run/bird
+. /etc/bird/envvars
+
+
+mkdir --parents "$BIRD_RUN_DIR";
+
+if [ -n "$BIRD_RUN_USER" ]; then
+ if ! getent passwd $BIRD_RUN_USER >/dev/null; then
+ echo "Configured user '$BIRD_RUN_USER' doesn't exist."
+ exit 1
+ fi
+fi
+
+if [ -n "$BIRD_RUN_GROUP" ]; then
+ if ! getent group $BIRD_RUN_GROUP >/dev/null; then
+ echo "Configured group '$BIRD_RUN_GROUP' doesn't exist."
+ exit 1
+ fi
+fi
+
+chown --silent "$BIRD_RUN_USER:$BIRD_RUN_GROUP" "$BIRD_RUN_DIR"
+chmod 775 "$BIRD_RUN_DIR"
+
+: